de.esprit.netsuite.client.abo

## Class ABOList

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JList<E>
        - - de.esprit.common.gui.ZList
          - - de.esprit.netsuite.client.gui.ClientList<ClientContext>
            - - de.esprit.netsuite.client.abo.ABOList

- All Implemented Interfaces:
    Steppable, Clearable, ABOCollection<AliveBusinessObject>, ClientObject<ClientContext>, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.Scrollable

      public class ABOList
      extends ClientList<ClientContext>
      implements ABOCollection<AliveBusinessObject>

  This list displays the accessed ABOs. It uses an `ABOListModel` which ensures that all displayed ABOs are kept up to date by receiving change notifications from the server.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JList

      `javax.swing.JList.AccessibleJList, javax.swing.JList.DropLocation`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JList

      `HORIZONTAL_WRAP, VERTICAL, VERTICAL_WRAP`

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ABOList(ClientContext clientCtx, javax.swing.JDialog parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addABO(AliveBusinessObject abo)` Adds the ABO to the container
    `int` | `addABO(AliveBusinessObject abo, boolean isSelected)`
    `void` | `clear()` Clears the content
    `void` | `editABO(AliveBusinessObject abo)`
    `AliveBusinessObject` | `getABO(int index)`
    `int` | `getABOCount()`
    `ZAction` | `getABOCreateAction()`
    `ZAction` | `getABODeleteAction()`
    `ZAction` | `getABODetailsAction()`
    `ZAction` | `getABODropAction()`
    `ZAction` | `getABODropAllAction()`
    `ZAction` | `getABOEditAction()`
    `ZAction` | `getABOFetchAction()`
    `ZAction` | `getABOFindAction()`
    `ABOListModel` | `getModel()`
    `AliveBusinessObject` | `getSelectedValue()`
    `boolean` | `isNewABOAccepted(AliveBusinessObject newAbo)` Defines whether this type of ABOs is supposed to be displayed in this collection
    `boolean` | `isNewABOAutoInserted()` Defines whether automatic insertion of new ABOs, that have been created by other users, is desired.
    `void` | `removeABO(AliveBusinessObject abo)` Removes the ABO from the container

    - ### Methods inherited from class de.esprit.netsuite.client.gui.ClientList

      `getClientContext, getSessionId`

    - ### Methods inherited from class de.esprit.common.gui.ZList

      `addAllItems, addAllItems, addIndexChangeListener, addItem, addItem, addListDataListener, adjustSelection, contains, createSelectionModel, doOnDoubleClick, first, getActionClear, getActionDelete, getActionMoveDown, getActionMoveUp, getAllItems, getComparator, getCurrentIndex, getFirstItem, getItem, getItemCount, getLastItem, getModifyFlag, getRecordCount, getSelectedItem, getSelectedItems, getSelectionModel, hasMultipleSelection, hasSingleSelection, indexOf, isChangeConfirmed, isEmpty, isLocked, isModified, isNumb, isSortAscending, last, load, loadFrom, loadFrom, matchesTypedString, next, previous, removeIndexChangeListener, removeItem, removeItem, removeItem, removeItem, removeListDataListener, removeSelectedItem, replaceItem, replaceOrAddItem, scrollToRow, selectAllItems, selectItem, selectItem, selectItems, selectItems, setComparator, setCurrentIndex, setDoubleClickAction, setItem, setLocked, setModified, setModifyFlag, setNumb, setSelectedIndex, setSelectionMode, setSortAscending`

    - ### Methods inherited from class javax.swing.JList

      `addListSelectionListener, addSelectionInterval, clearSelection, ensureIndexIsVisible, fireSelectionValueChanged, getAccessibleContext, getAnchorSelectionIndex, getCellBounds, getCellRenderer, getDragEnabled, getDropLocation, getDropMode, getFirstVisibleIndex, getFixedCellHeight, getFixedCellWidth, getLastVisibleIndex, getLayoutOrientation, getLeadSelectionIndex, getListSelectionListeners, getMaxSelectionIndex, getMinSelectionIndex, getNextMatch, getPreferredScrollableViewportSize, getPrototypeCellValue, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getSelectedIndex, getSelectedIndices, getSelectedValues, getSelectedValuesList, getSelectionBackground, getSelectionForeground, getSelectionMode, getToolTipText, getUI, getUIClassID, getValueIsAdjusting, getVisibleRowCount, indexToLocation, isSelectedIndex, isSelectionEmpty, locationToIndex, paramString, removeListSelectionListener, removeSelectionInterval, setCellRenderer, setDragEnabled, setDropMode, setFixedCellHeight, setFixedCellWidth, setLayoutOrientation, setListData, setListData, setModel, setPrototypeCellValue, setSelectedIndices, setSelectedValue, setSelectionBackground, setSelectionForeground, setSelectionInterval, setSelectionMode, setSelectionModel, setUI, setValueIsAdjusting, setVisibleRowCount, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ABOList

          public ABOList(ClientContext clientCtx,
                 javax.swing.JDialog parent)

  - ### Method Detail

    - #### clear

          public void clear()

      Description copied from interface: `Clearable`
      Clears the content
      Specified by:
        `clear` in interface `Clearable`
      Overrides:
        `clear` in class `ZList`

    - #### getModel

          public ABOListModel getModel()

      Overrides:
        `getModel` in class `ClientList<ClientContext>`

    - #### getSelectedValue

          public AliveBusinessObject getSelectedValue()

      Overrides:
        `getSelectedValue` in class `javax.swing.JList`

    - #### editABO

          public void editABO(AliveBusinessObject abo)

    - #### getABODetailsAction

          public ZAction getABODetailsAction()

    - #### getABOCreateAction

          public ZAction getABOCreateAction()

    - #### getABOEditAction

          public ZAction getABOEditAction()

    - #### getABODeleteAction

          public ZAction getABODeleteAction()

    - #### getABODropAction

          public ZAction getABODropAction()

    - #### getABODropAllAction

          public ZAction getABODropAllAction()

    - #### getABOFetchAction

          public ZAction getABOFetchAction()

    - #### getABOFindAction

          public ZAction getABOFindAction()

    - #### isNewABOAccepted

          public boolean isNewABOAccepted(AliveBusinessObject newAbo)

      Description copied from interface: `ABOCollection`
      Defines whether this type of ABOs is supposed to be displayed in this collection
      Specified by:
        `isNewABOAccepted` in interface `ABOCollection<AliveBusinessObject>`

    - #### isNewABOAutoInserted

          public boolean isNewABOAutoInserted()

      Description copied from interface: `ABOCollection`
      Defines whether automatic insertion of new ABOs, that have been created by other users, is desired. If the ABO was created by me, it will always be inserted into the collection.
      Specified by:
        `isNewABOAutoInserted` in interface `ABOCollection<AliveBusinessObject>`

    - #### getABOCount

          public int getABOCount()

      Specified by:
        `getABOCount` in interface `ABOCollection<AliveBusinessObject>`

    - #### getABO

          public AliveBusinessObject getABO(int index)

      Specified by:
        `getABO` in interface `ABOCollection<AliveBusinessObject>`

    - #### addABO

          public int addABO(AliveBusinessObject abo)

      Description copied from interface: `ABOCollection`
      Adds the ABO to the container
      Specified by:
        `addABO` in interface `ABOCollection<AliveBusinessObject>`

    - #### addABO

          public int addABO(AliveBusinessObject abo,
                   boolean isSelected)

      Specified by:
        `addABO` in interface `ABOCollection<AliveBusinessObject>`

    - #### removeABO

          public void removeABO(AliveBusinessObject abo)

      Description copied from interface: `ABOCollection`
      Removes the ABO from the container
      Specified by:
        `removeABO` in interface `ABOCollection<AliveBusinessObject>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.